Bug 239408 - devel/pcre2: Correctly detect OpenPOWER 64-bit ELFv2 ABI
Summary: devel/pcre2: Correctly detect OpenPOWER 64-bit ELFv2 ABI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-23 18:34 UTC by Piotr Kubaj
Modified: 2019-07-30 12:36 UTC (History)
1 user (show)

See Also:
krion: maintainer-feedback+


Attachments
patch (2.53 KB, patch)
2019-07-23 18:34 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (krion)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-23 18:34:02 UTC
Created attachment 206018 [details]
patch

https://bugs.exim.org/show_bug.cgi?id=2353

Although the majority of OpenPOWER ELF V2 ABI use is on Little Endian, it is fully specified and is used in Big Endian mode as well.

As such, the correct detection of an ELFv2 system is via the _CALL_ELF preprocessor define, not the endianness.

This fixes JIT crashes on:
Adélie Linux
FreeBSD PowerPC64 ELFv2 variant (an experimental build)

on systems such as the Raptor Computing Systems TALOS II.
Comment 1 Kirill Ponomarev freebsd_committer 2019-07-25 04:38:28 UTC
lgtm, go ahead and commit it please
Comment 2 commit-hook freebsd_committer 2019-07-30 12:36:43 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Jul 30 12:36:20 UTC 2019
New revision: 507638
URL: https://svnweb.freebsd.org/changeset/ports/507638

Log:
  devel/pcre2: Correctly detect OpenPOWER 64-bit ELFv2 ABI

  PR:		239408
  Submitted by:	bdragon
  Reported by:	bdragon
  Approved by:	krion (maintainer), linimon (mentor)
  Obtained from:	https://bugs.exim.org/show_bug.cgi?id=2353
  Differential Revision:	https://reviews.freebsd.org/D21063

Changes:
  head/devel/pcre2/Makefile
  head/devel/pcre2/files/patch-src_sljit_sljitConfigInternal.h
  head/devel/pcre2/files/patch-src_sljit_sljitNativePPC__common.c